"use client";
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { PageLayout } from './page-layout.mjs';
import { StackAttribution } from './stack-attribution.mjs';

function PageWrapper({
  children,
  className,
  testId,
  showAttribution = true
}) {
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(PageLayout, { className, "data-testid": testId, children }),
    showAttribution && /* @__PURE__ */ jsx(StackAttribution, {})
  ] });
}

export { PageWrapper };
